Bug 866577 - [RFE] vsphere instance reboots should do proper os shutdown
[RFE] vsphere instance reboots should do proper os shutdown
Status: CLOSED NOTABUG
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: deltacloud-core (Show other bugs)
1.1.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Michal Fojtik
Dave Johnson
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 12:21 EDT by Dave Johnson
Modified: 2012-10-26 18:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-26 18:07:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Johnson 2012-10-15 12:21:13 EDT
Description of problem:
=================================
So when a vsphere instance has the vm tools (agent) installed, cloud engine can restart the instance.  While testing this out, I noticed that the reboot is actually a hard reset... it seems vsphere has a reboot guest os option and curious if that would be a better api call to use than the reset one


Version-Release number of selected component (if applicable):
====================================================================
aeolus-conductor-0.13.18-1.el6cf.noarch
deltacloud-core-0.5.0-10.el6_2.noarch
deltacloud-core-vsphere-0.5.0-10.el6_2.noarch
Comment 2 Tomas Hrcka 2012-10-25 04:07:37 EDT
Deltacloud api invoke vsphere reboot action, if you look at vsphere client after clicking reboot in conductor it does schedule vsphere-vm-reboot action. If you are using console from vsphere-client there you will not see any shutting down service messages when wm is rebooting, so it may be look like reset but its not true we are invoking proper reboot on vsphere.
Comment 3 Dave Johnson 2012-10-26 18:07:38 EDT
While ssh'd into a instance, reboot action from conductor causes "The system is going down for reboot NOW!" to be printed out so it appears this is working correctly.

Note You need to log in before you can comment on or make changes to this bug.